---

- name: "Ensure {{ sftp_users_chroot }} group exists"
  group:
    name: "{{ sftp_users_chroot }}"
    state: present

- name: "Ensure SSHD config uses internal-sftp"
  lineinfile:
    path: /etc/ssh/sshd_config
    regexp: "^Subsystem[ \\t]+sftp"
    line: "Subsystem sftp internal-sftp"
    state: present
  notify: restart ssh daemon base_server

- name: "Ensure SSHD config contains sftp only directive"
  blockinfile:
    path: /etc/ssh/sshd_config
    block: "{{ ssh_sftp_only_chroot }}"
    insertafter: EOF
  notify: restart ssh daemon base_server

- name: "Ensure base chroot exists {{ base_chroot_jail }}"
  file:
    state: directory
    path: "{{ base_chroot_jail }}"
